> For the complete documentation index, see [llms.txt](https://developers.felt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.felt.com/rest-api/api-reference.md).

# API Reference

- [Maps](https://developers.felt.com/rest-api/api-reference/maps.md): APIs for building maps
- [Print Exports](https://developers.felt.com/rest-api/api-reference/maps/print-exports.md): APIs to export map images
- [Layers](https://developers.felt.com/rest-api/api-reference/layers.md): APIs to visualize spatial data
- [Layer Uploads](https://developers.felt.com/rest-api/api-reference/layers/layer-uploads.md): APIs to upload data
- [Layer Library](https://developers.felt.com/rest-api/api-reference/layers/layer-library.md): APIs to publish layers
- [Layer Exports](https://developers.felt.com/rest-api/api-reference/layers/layer-exports.md): APIs to export layer data
- [Layer Components](https://developers.felt.com/rest-api/api-reference/layers/layer-components.md): APIs to build dashboards
- [Elements](https://developers.felt.com/rest-api/api-reference/elements.md): APIs for drawing spatially
- [Users](https://developers.felt.com/rest-api/api-reference/users.md): APIs for user information
- [Comments](https://developers.felt.com/rest-api/api-reference/comments.md): APIs for programatic collaboration
- [Embed Tokens](https://developers.felt.com/rest-api/api-reference/embed-tokens.md): APIs to share maps securely
- [Sources](https://developers.felt.com/rest-api/api-reference/sources.md): APIs to connect your data
- [Projects](https://developers.felt.com/rest-api/api-reference/projects.md): APIs to organize maps


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.felt.com/rest-api/api-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
